function [A_L,mu_L,sigma_L,A_R, mu_R,sigma_R] = ...
f_tail_fitting_norm_q_scale(x, pdf, fitbins_strt, fitbins)
% x = x-axis over which the PDF is defined
% pdf = PDF of the jitter
% fitbins = array defining the length of bins used for tail fitting
% fitbins_strt = starting bin for tail fitting
%% build CDF
deltax=x(2)-x(1);
cdf_left=[0,cumsum(pdf)]*deltax;
cdf_right=[fliplr(cumsum(fliplr(pdf))),0]*deltax;
k=[0.01:0.01:1];
%% fit left CDF
err_best=1;
for i_nbins=1:length(fitbins)
fit_interval=[fitbins_strt:fitbins_strt+fitbins(i_nbins)];
for i_k=1: length(k)
cdf_left_q_scale=-sqrt(2)*erfcinv(2/k(i_k)*cdf_left);
c(i_k,i_nbins,:)=polyfit(x(fit_interval),...
cdf_left_q_scale(fit_interval),1);
fitted=x(fit_interval)*c(i_k,i_nbins,1)+c(i_k,i_nbins,2);
err(i_k,i_nbins)=std(cdf_left_q_scale(fit_interval)-fitted);
if err(i_k,i_nbins)< err_best;
err_best=err(i_k,i_nbins);
i_k_best=i_k;
i_nbins_best=i_nbins;
end
end
end
sigma_L=1/c(i_k_best,i_nbins_best,1);
mu_L=-c(i_k_best,i_nbins_best,2)*sigma_L;
A_L=k(i_k_best);
%% fit right CDF
err_best=1;
for i_nbins=1:length(fitbins)
fit_interval=[length(cdf_right)-fitbins_strt-fitbins(i_nbins)...
:length(cdf_right)-fitbins_strt];
for i_k=1: length(k)
cdf_right_q_scale=-sqrt(2)*erfcinv(2/k(i_k)*cdf_right);
c(i_k,i_nbins,:)=polyfit(x(fit_interval),...
cdf_right_q_scale(fit_interval),1);
fitted=x(fit_interval)*c(i_k,i_nbins,1)+c(i_k,i_nbins,2);
err(i_k,i_nbins)=std(cdf_right_q_scale(fit_interval)-fitted);
if err(i_k,i_nbins)< err_best;
err_best=err(i_k,i_nbins);
i_k_best=i_k;
i_nbins_best=i_nbins;
end
end
end
sigma_R=-1/c(i_k_best,i_nbins_best,1);
mu_R=c(i_k_best,i_nbins_best,2)*sigma_R;
A_R=k(i_k_best);
