function [mu_L,sigma_L,mu_R,sigma_R] = ...
f_tail_fitting_q_scale(x, pdf, fitbins_strt, fitbins)
% x = x-axis over which the PDF is defined
% pdf = PDF of the jitter
% fitbins = array defining the length of bins used for tail fitting
% fitbins_strt = starting bin for tail fitting
%% build CDF
deltax=x(2)-x(1);
cdf_left=[0,cumsum(pdf)]*deltax;
cdf_right=[0,fliplr(cumsum(fliplr(pdf)))]*deltax;
%% fit left CDF
err_best=1;
for i_nbins=1:length(fitbins)
i_nbins
fit_interval=[fitbins_strt:fitbins_strt+fitbins(i_nbins)];
cdf_left_q_scale=-sqrt(2)*erfcinv(2*cdf_left);
c(i_nbins,:)=polyfit(x(fit_interval),...
cdf_left_q_scale(fit_interval),1);
fitted=x(fit_interval)*c(i_nbins,1)+c(i_nbins,2);
err(i_nbins)=std(cdf_left_q_scale(fit_interval)-fitted);
if err(i_nbins)< err_best;
err_best=err(i_nbins);
i_nbins_best=i_nbins;
end
end
sigma_L=1/c(i_nbins_best,1)
mu_L=-c(i_nbins_best,2)*sigma_L
%% fit right CDF
err_best=1;
for i_nbins=1:length(fitbins)
fit_interval=[length(cdf_right)-fitbins_strt-fitbins(i_nbins)...
:length(cdf_right)-fitbins_strt];
cdf_right_q_scale=-sqrt(2)*erfcinv(2*cdf_right);
c(i_nbins,:)=polyfit(x(fit_interval),...
cdf_right_q_scale(fit_interval),1);
fitted=x(fit_interval)*c(i_nbins,1)+c(i_nbins,2);
err(i_nbins)=std(cdf_right_q_scale(fit_interval)-fitted);
if err(i_nbins)< err_best;
err_best=err(i_nbins);
i_nbins_best=i_nbins;
end
end
sigma_R=-1/c(i_nbins_best,1)
mu_R=c(i_nbins_best,2)*sigma_R
